# Generated from manifest-builder-0.7.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name manifest-builder

Name: rubygem-%{gem_name}
Version: 0.7.5
Release: 1%{?dist}
Summary: Repo builder for a software manifest
License: Apachev2
URL: https://rubygems.org/gems/manifest-builder
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubygems-tasks) >= 0.2
# BuildRequires: rubygem(rubygems-tasks) < 1.1
# BuildRequires: rubygem(cucumber) >= 0.10.7
# BuildRequires: rubygem(cucumber) < 0.11
# BuildRequires: rubygem(rspec) >= 2.99
# BuildRequires: rubygem(rspec) < 3.0
BuildArch: noarch

%description
Repo builder of the software manifest.yml for Continuous
Integration/Continuous Delivery artifact promotion style deployments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/manifestbuilder
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rakeTasks
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/manifest-builder.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Tue Sep 14 2021 mockbuilder - 0.7.5-1
- Initial package
